Subject: Re: [PATCH net-next 4/5] net: mvneta: introduce xdp counters to ethtool

From: Lorenzo Bianconi <[email-masked]>
Date: Mon, 17 Feb 2020 23:38:37 +0100

> From: Lorenzo Bianconi <[email-masked]>
> Date: Mon, 17 Feb 2020 11:25:50 +0100
> 
> > yes, I think it is definitely better. So to follow up:
> > - rename current "xdp_tx" counter in "xdp_xmit" and increment it for
> >   XDP_TX verdict and for ndo_xdp_xmit
> > - introduce a new "xdp_tx" counter only for XDP_TX verdict.
> > 
> > If we agree I can post a follow-up patch.
> 
> What names do other drivers use?  Consistency is important.  I noticed
> while reviewing these patches that mellanox drivers export similar
> statistics in the exact same way.

According to David's suggestion, I am following mellanox implementation
adding "rx_" prefix for xdp actions on rx path and, based on Jesper's comment,
I am differentiating between XDP_TX and ndo_xdp_xmit.
So, to follow up:

XDP_TX: rx_xdp_tx_xmit
XDP_DROP: rx_xdp_drop
XDP_PASS: rx_xdp_pass
XDP_REDIRECT: rx_xdp_redirect
ndo_xdp_xmit: tx_xdp_xmit

I will post a RFC patch soon.

Regards,
Lorenzo